# ----------------------------------------------------------------------
# File name:    LAUNCHELF.CNF           Revision Date: 2008.07.19
# Created by:   Ronald Andersson        Creation Date: 2006.02.02
# Purpose:      Define new format and defaults for LaunchELF CNF files,
#               to serve as a guide in developing the code implementing
#               these changes.
# ----------------------------------------------------------------------
# Note that LaunchELF v3.41t (or later) will accept this file as-is when
# loading CNF, but if you modify any settings so that LaunchELF saves
# the file again, then all comments will be removed. Also note that each
# LaunchELF version can only recognize those variables that were defined
# for that version. Using newer variables with older versions is futile.
# It should not crash the program, but will not have meaningful effects.
# ----------------------------------------------------------------------
CNF_version = 3
# ----------------------------------------------------------------------
# The CNF_version variable MUST exist for a CNF to be accepted as valid,
# and it must also be the first variable defined in the file. That way
# an old CNF can't cause damage when read by new LaunchELF versions.
#
# From LaunchELF v3.81 the CNF_version value will be 3 or higher, which
# means that the Screen_X and Screen_Y offsets are valid for gsKit, as
# used by that program version. Also, when that program version is used
# with a CNF file having lower CNF_version value than 3, then the old
# screen offsets will be converted to ones suitable for gsKit.
# ----------------------------------------------------------------------
# In v3.95 Multi-language support was added, which caused the built-in
# MISC/ device and its subprograms to be named according to the language
# file activated. But CNF files won't work unless the strings used in a
# launch key match existing device and program names. This now made it
# necessary to add the device and subprogram strings to the CNF format.
# They will still be altered when a new language is loaded, but if you
# then revert from that change, the names should also revert properly.
# (Which is what failed to work without having this stuff in the CNF.)
# ----------------------------------------------------------------------
Misc = MISC/
Misc_PS2Disc = PS2Disc
Misc_FileBrowser = FileBrowser
Misc_PS2Browser = PS2Browser
Misc_PS2Net = PS2Net
Misc_PS2PowerOff = PS2PowerOff
Misc_HddManager = HddManager
Misc_TextEditor = TextEditor
Misc_JpgViewer = JpgViewer
Misc_Configure = Configure
Misc_Load_CNFprev = Load CNF--
Misc_Load_CNFnext = Load CNF++
Misc_Set_CNF_Path = Set CNF_Path
Misc_Load_CNF = Load CNF
Misc_ShowFont = ShowFont
Misc_Debug_Info = Debug Info
Misc_About_uLE = About uLE
# ----------------------------------------------------------------------
# Next follows the 12 (as yet) launching links, here kept in traditional
# order, though users are allowed to vary the order at will. For these
# 12 variables the following name conventions apply:
#
# "LK_" is an abbreviation for "Launch Key" and is used as a prefix for
# the key descriptor (eg: "Square"). That is then followed by the suffix
# "_E1" which is an abbreviation for "Execution Method 1". At present
# that is the only method we have, but hopefully that will change...
#
# The default value for most of these should be an empty string, except
# that one link should start the file browser, so people can start to
# copy stuff without having to make a new CNF.
# ----------------------------------------------------------------------
LK_auto_E1     =
LK_Circle_E1   = MISC/FileBrowser
LK_Cross_E1    =
LK_Square_E1   =
LK_Triangle_E1 =
LK_L1_E1       =
LK_R1_E1       =
LK_L2_E1       =
LK_R2_E1       =
LK_L3_E1       =
LK_R3_E1       =
LK_Start_E1    =
# ----------------------------------------------------------------------
# v3.78 adds three new launch key definitions, but they will never be
# created automatically. If added by a user they will however be kept in
# the CNF as saved in the future, and those settings will then override
# the built-in defaults for the buttons 'Select', 'Left', and 'Right'.
# The values shown below will map those buttons identically to defaults,
# though that is not the way it's handled for real defaulting. Use empty
# strings to disable the keys entirely (for 'child safe' installations)
# ----------------------------------------------------------------------
LK_Select_E1 = MISC/Configure
LK_Left_E1   = MISC/Load CNF--
LK_Right_E1  = MISC/Load CNF++
# ----------------------------------------------------------------------
# After the launch key definitions we have the variables for diverse
# settings, most of which use obvious naming schemes and have their
# traditional default values. Some exceptions are the variables for
# GUI colour values, which are described in the next section.
# ----------------------------------------------------------------------
LK_auto_Timer   = 10
Menu_Hide_Paths = 1
# ----------------------------------------------------------------------
# Next we have the GUI colour values, for which I made some choices that
# differ widely from all the other variables so far. First and foremost,
# I switched their data format to pure hex, to make it practical for a
# human to edit the byte values. I also added a suffix to the names,
# so the user has a mnemonic key to the usage of the byte values.
# And finally, I chose some new default values that I've been working on
# for a while. The effects of these settings are as follows:
#
# Normal text is fully black, while the background is half-level white.
# Border, submenus, and LaunchELF title text use a medium grey colour,
# with half the brightness of the background, while alerts and progress
# messages use a clear but subdued red colour.
#
# My goal with these defaults was to achieve max clarity with no glare,
# and I think this succeeded fairly well, though the final results do
# depend greatly on your monitor settings as well.
# ----------------------------------------------------------------------
# With the addition of the HddManager, four more colours were added to
# this array, for use in graphical presentations, like pie charts.
# ----------------------------------------------------------------------
# With the addition of icon display mode for FileBrowser, the graphical
# colours are used for these icons as well
# ----------------------------------------------------------------------
GUI_Col_1_ABGR = 00808080
GUI_Col_2_ABGR = 00404040
GUI_Col_3_ABGR = 00000060
GUI_Col_4_ABGR = 00000000
GUI_Col_5_ABGR = 00006060
GUI_Col_6_ABGR = 00006000
GUI_Col_7_ABGR = 00E0E0E0
GUI_Col_8_ABGR = 00000000
# ----------------------------------------------------------------------
# Screen_X and Screen_Y are offsets used to center the LaunchELF screen
# on the physical TV screen. The values shown below are old defaults,
# but nowdays it's better to leave them out completely, which is why
# these lines were made into comments below. This way the program can
# choose correct defaults for the TV_mode and Screen_Interlace settings
# you've chosen further down in this file. And the values you use for
# Screen_X and Screen_Y, whether those defaults or modified values, will
# still be saved here whenever you save CNF in the future.
# ----------------------------------------------------------------------
#Screen_X  = 632
#Screen_Y  = 50
# ----------------------------------------------------------------------
# Note that I have changed the default for IOP reset, as this has been
# long-term tested now, and proven superior to starting without it.
# I have also changed the default for CDVD checking, as the old default
# could cause lockup on some PS2 models if started with empty tray.
# ----------------------------------------------------------------------
Init_CDVD_Check  = 0
Screen_Interlace = 1
Init_Reset_IOP   = 1
Menu_Pages       = 1
GUI_Swap_Keys    = 0
# ----------------------------------------------------------------------
# The variables below have been added after the original design (v3.41t)
# of the new CNF format. They should be used as follows:
# ----------------------------------------------------------------------
# USBD_FILE is valid in v3.41u and later versions. It's used to choose
# an alternate USBD.IRX file, which LaunchELF will then use instead of
# the embedded one. You can set it in the 'STARTUP SETTINGS' screen.
# ----------------------------------------------------------------------
USBD_FILE =
# ----------------------------------------------------------------------
# NET_HOSTwrite is valid in v3.44 and later versions. It can enable
# the ability of the networked HOST interface to write on your PC HDDs!
# Users who want to avoid risks for their PC should leave it as default,
# which disables these new abilities. For safety reasons it can only be
# changed by direct user editing. Edit it to a non-zero value to enable
# the new abilities. (You'll need a very new ps2client.exe as well.)
# ----------------------------------------------------------------------
NET_HOSTwrite = 0
# ----------------------------------------------------------------------
#SKIN_FILE is used to select a JPG file that will be used as background
#for the LaunchELF screen. Its value should be the full JPG pathname.
#The default value is an empty string, meaning that the colour set by
#GUI_Col_1_ABGR above will be used for screen background instead.
# ----------------------------------------------------------------------
SKIN_FILE =
# ----------------------------------------------------------------------
#GUI_SKIN_FILE is used to select a JPG file that will be used the same
#way as SKIN_FILE, but only in the main launch menu. This allows the
#design of screens that use the JPG to display GUI 'buttons' etc. But if
#no such file is specified (or loadable at runtime) then the usage falls
#back on the regular methods.
# ----------------------------------------------------------------------
GUI_SKIN_FILE =
# ----------------------------------------------------------------------
#Menu_Title is a string that will be displayed at the top left of the
#screen. Its main purpose is to allow users to have different titles
#for different config pages. It is editable in "STARTUP SETTINGS".
# ----------------------------------------------------------------------
Menu_Title =
# ----------------------------------------------------------------------
# Menu_Frame flags whether or not the big frame that encloses the menu
# should be visible or not. By default it will be visible.
# ----------------------------------------------------------------------
Menu_Frame = 1
# ----------------------------------------------------------------------
# SKIN_Brightness is used to modify the brightness of a JPG skin, thus
# allowing this to be set without changing the JPG file. The default is
# 50, for using the JPG as-is, lower values will darken it while higher
# values will brighten it. The maximum value allowed is 100.
# ----------------------------------------------------------------------
SKIN_Brightness = 50
# ----------------------------------------------------------------------
# Show_Menu flags whether or not the main menu is visible when a GUI
# skin is selected. By default it will be visible.
# ----------------------------------------------------------------------
Show_Menu = 1
# ----------------------------------------------------------------------
# TV_mode is used to seup the video mode to suit your TV. You may use
# the following values in the current implementation:
# 0 => Automatic adaption of video mode to suit your console (default)
# 1 => Enforce NTSC video mode regardless of console
# 2 => Enforce PAL video mode regardless of console
# ----------------------------------------------------------------------
TV_mode = 0
# ----------------------------------------------------------------------
# Popup_Opaque may be set to force popup menus to use simple background
# colour (GUI_Col_1_ABGR) inside such menu box, instead of transparently
# using the skin (if any) as background. If no skin is used then this
# setting has no visible effect. Its default value is for transparency,
# so change it to 1 to make such menus opaque.
# ----------------------------------------------------------------------
Popup_Opaque = 0
# ----------------------------------------------------------------------
# Init_Delay is used to delay the start of all uLaunchELF interactions,
# which also includes the possible timeout and startup of a default ELF.
# The purpose of this delay is to allow the user to release any buttons
# that may have been used in commanding a mod chip, or some program to
# start uLaunchELF, to avoid having those buttons misinterpreted as new
# commands intended for uLaunchELF. Its value specifies how many seconds
# of extra delay to use, with the default value being zero.
# ----------------------------------------------------------------------
Init_Delay = 0
# ----------------------------------------------------------------------
# USBKBD_USED allows you to disable initialization of the USB keyboard
# driver. This is mainly useful when you need to test some specific
# software without any USB drivers active. For example, when testing
# software that should provide its own USB drivers. Such a test would
# be ruined if USB drivers were already active when starting the test.
# ----------------------------------------------------------------------
USBKBD_USED = 1
# ----------------------------------------------------------------------
# USBKBD_FILE is a string used to specify an alternate IRX file for the
# USB keyboard driver, which uLaunchELF will then use instead of the
# embedded one. You can set it in the 'STARTUP SETTINGS' screen.
# Note that this is only compatible with PS2SDK drivers, not Sony stuff.
# Just leave this string undefined (empty) to use the built-in driver.
# ----------------------------------------------------------------------
USBKBD_FILE =
# ----------------------------------------------------------------------
# KBDMAP_FILE is a string used to specify an alternate key map KBD file
# for the USB keyboard driver, which will then be used instead of the
# default map. You can set it in the 'STARTUP SETTINGS' screen.
# ----------------------------------------------------------------------
KBDMAP_FILE =
# ----------------------------------------------------------------------
# Menu_Show_Titles is a flag that when set enables the use of Launch
# key titles in the menu. Previously this was controlled by the variable
# Menu_Hide_Paths, but that is no longer the case. By default the new
# variable is enabled, though this only affects launch keys that have
# some title string defined.
# ----------------------------------------------------------------------
Menu_Show_Titles = 1
# ----------------------------------------------------------------------
# CNF_Path can be used to override the path choice for CNF handling, by
# setting it to the value needed after IOP reset is performed. This is
# mainly intended to allow HDD installed setups to find a CNF in the
# launch folder, but can also be used for CD installs, to switch to use
# of a folder in MC after loading CNF values from a CNF on CD. You can
# edit this path in the "Startup Settings" submenu.
# ----------------------------------------------------------------------
CNF_Path =
# ----------------------------------------------------------------------
# USBMASS_FILE is a string used to specify an alternate IRX file for the
# USB mass storage driver, which uLaunchELF will then use instead of the
# embedded one. You can set it in the 'STARTUP SETTINGS' screen.
# ----------------------------------------------------------------------
USBMASS_FILE =
# ----------------------------------------------------------------------
# From v3.95 a language definition file may be used to set the strings
# for most menus and dialogs in uLaunchELF, and that file choice is
# stored here. The default value is just an empty string, causing the
# internal defaults to be used for everything. These defaults are also
# identical to the contents of the file "English.lng" that we released.
# ----------------------------------------------------------------------
LANG_FILE =
# ----------------------------------------------------------------------
# From v4.02 the character font may be replaced by one loaded from an
# external file, whose path is stored in the FONT_FILE entry. As usual
# for file choices, the default is an empty string, causing the internal
# font to be used. That will also be the result if a specified file is
# missing or has an invalid format. (Fonts are released separately.)
# ----------------------------------------------------------------------
FONT_FILE =
# ----------------------------------------------------------------------
# From v3.84 two settings of JpgViewer are also saved here. These are
# the slideshow interval timer (in seconds), and the picture transition
# choice, a value from 1-4, with 1==NONE, 2==ZOOM 3==FADE, 4==BOTH.
# In v3.96 another setting was added, being a flag for fullscreen mode. 
# To save latest slideshow settings, just enter the main configuration
# menu and exit it again using the OK command. This resaves the file.
# Viewer settings found in a CNF will be used instead of the original
# defaults, which are the values shown below.
# ----------------------------------------------------------------------
JpgView_Timer = 5
JpgView_Trans = 2
JpgView_Full = 0
# ----------------------------------------------------------------------
# From v3.92 Two options for PSU gamesave files are saved here.
# Set PSU_HugeNames non-zero to make PSU names contain both original
# gamesave folder names and the gamesave titles (from icon.sys).
# Set PSU_DateNames non-zero to make PSU names contain a timestamp from
# the original save data, appended to the normal name.
# Both options can be set simultaneously, for very detailed names, like:
# "BESLES-5245800_Disgaea(1) Ep.1 LV1_2006-07-23_14-46-33.psu"
# As yet they are not available in config menus. Use TextEditor instead.
# ----------------------------------------------------------------------
PSU_HugeNames = 0
PSU_DateNames = 0
# ----------------------------------------------------------------------
# PSU_NoOverwrite was added in v3.93, to eliminate redundant backups.
# It's only useful to set it non-zero when PSU_DateNames is also set, as
# it is otherwise ignored. When used, backup of timestamped PSU files
# check for an identical PSU filename at the destination, and if such
# a file already exists the operation exits without error, as if a new
# backup had been made. Thus you can select all saves on an MC and use
# psuPaste to backup only those that have changed since last time.
# This improvement was contributed by 'ffgriever' at ps2-scene.
# ----------------------------------------------------------------------
PSU_NoOverwrite = 0
# ----------------------------------------------------------------------
# FB_NoIcons can be used to disable the new icon display mode of the
# uLE FileBrowser. By default this is enabled, with this variable zero.
# In icon mode the FileBrowser will display a small icon in front of
# every file or folder name, with different shapes for folder vs file.
# The icons will reuse colours already defined as follows:
# Folders use Color5=='Graph1', ELFs use Color6=='Graph2', and other
# files will all use Color7=='Graph3'. By default these colours will
# be setup as yellow, green, and white, but can be changed for 'skins'.
# In icon mode objects marked for operations are displayed differently
# by switching to a slightly different icon definition (with a 'hole').
# But if FB_NoIcons is set non-zero then the FileBrowser will revert
# to the traditional form, using no icons at all, and marking selected
# objects with an asterisk to the left of the file name.
# ----------------------------------------------------------------------
FB_NoIcons = 0
# ----------------------------------------------------------------------
# LK_xx_Title is not one variable but many. You can replace the 'xx' by
# one of 15 button designations (eg: Square, Select, etc), and use them
# to define your own titles that will be used instead of ELF names in
# the main menu. If no such titles are defined then the ELF names are
# used instead, and titles will not be saved to the CNF for such cases.
# To have these titles displayed the variable Menu_Hide_Paths must be
# set to a non-zero value. You can set it in the CONFIG menu which is
# also where you can conveniently edit the titles for all launch keys.
# By editing the CNF directly you can also edit titles for three more
# commands, as shown by the examples below (NB: They are not defaults)
# ----------------------------------------------------------------------
LK_Select_Title = Configure uLaunchELF
LK_Left_Title = Load 'lower' CNF file
LK_Right_Title = Load 'higher' CNF file
# ----------------------------------------------------------------------
# PathPad_Lock allows you to lock changes to the browser navigation
# shortcuts in the PathPad array. So if you set PathPad_Lock non-zero,
# the 'Set' and 'Clear' commands will no longer be active in the PathPad
# menu. This will prevent you from changing any of the entries, so the
# default value is zero, which allows you to set up or change entries.
# NB: Setting it non-zero must be done by text editor, for the present.
# ----------------------------------------------------------------------
PathPad_Lock = 0
# ----------------------------------------------------------------------
# PathPad[xx] is not one variable but many. You can replace the 'xx' by
# any number from 00 through 29 (inclusive), and assign each variable of
# this kind a path string. Lists of those paths can then be accessed in
# the file browser for easy navigation, by calling up the PathPad menu
# with the R2 button. By default these strings are empty, and are not
# then saved to the CNF. Only non-empty strings will be saved, so the
# example below is not a default value, but simply an example. Since the
# PathPad entries are not normal configuration variables, they're always
# included at the end of the CNF file.
# ----------------------------------------------------------------------
PathPad[14] = hdd0:/__common/-PS1 MC Backups/
# ----------------------------------------------------------------------
# End of file: LAUNCHELF.CNF
# ----------------------------------------------------------------------
